<html>
<head>
    <p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Software Technologies Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>
    <p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>
    <p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>
    <p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>

<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">


<div class="toc">
<ul>
<li><a href="#id0">/AndroidX Legacy_1.0.0</a></li>
<li><a href="#id1">/AndroidX Annotation_1.2.0</a></li>
<li><a href="#id2">/AndroidX Appcompat_1.3.0</a></li>
<li><a href="#id3">/AndroidX Constraintlayout_2.1.3</a></li>
<li><a href="#id4">/AndroidX RecyclerView_1.2.1</a></li>
<li><a href="#id5">/Californium_3.7.0</a></li>
<li><a href="#id6">/cJSON_1.7.15</a></li>
<li><a href="#id7">/dexmaker_2.28.1</a></li>
<li><a href="#id8">/fastjson_1.2.83</a></li>
<li><a href="#id9">/gson_2.9.0</a></li>
<li><a href="#id10">/lottie-android_3.4.1</a></li>
<li><a href="#id11">/mbed TLS_3.1.0</a></li>
<li><a href="#id12">/okhttp_4.9.3</a></li>
<li><a href="#id13">/okio_2.10.0</a></li>
<li><a href="#id14">/OpenSSL_1.1.1n</a></li>
<li><a href="#id15">/paho.mqtt.java_v1.2.5</a></li>
<li><a href="#id16">/picasso_2.8</a></li>
<li><a href="#id17">/Mozilla Rhino_1.7.12</a></li>
<li><a href="#id18">/Simple Logging Facade for Java (SLF4J) 1.7.35</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">



<tr id="id0"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/AndroidX Legacy_1.0.0<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (C) 2020 The Android Open Source Project
Copyright (C) 2019 The Android Open Source Project
Copyright (C) 2018 The Android Open Source Project
Copyright (C) 2017 The Android Open Source Project
Copyright (C) 2016 The Android Open Source Project
Copyright (C) 2015 The Android Open Source Project
Copyright (C) 2014 The Android Open Source Project
Copyright (C) 2013 The Android Open Source Project

<div id="ApacheLicense" class="label">License: Apache License Version 2.0</div>
                                Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      "License" shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      "Licensor" shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      "Legal Entity" shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      "control" means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      "You" (or "Your") shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      "Source" form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      "Object" form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      "Work" shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      "Derivative Works" shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      "Contribution" shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, "submitted"
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as "Not a Contribution."

      "Contributor" shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non–exclusive, no–charge, royalty–free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non–exclusive, no–charge, royalty–free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross–claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a "NOTICE" text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third–party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON–INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets "[]"
      replaced with your own identifying information. (Don′t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same "printed page" as the copyright notice for easier
      identification within third–party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE–2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/AndroidX Annotation_1.2.0<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (C) 2020 The Android Open Source Project
Copyright (C) 2019 The Android Open Source Project
Copyright (C) 2018 The Android Open Source Project
Copyright (C) 2017 The Android Open Source Project
Copyright (C) 2016 The Android Open Source Project
Copyright (C) 2015 The Android Open Source Project
Copyright (C) 2014 The Android Open Source Project
Copyright (C) 2013 The Android Open Source Project

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/AndroidX Appcompat_1.3.0<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (C) 2006 The Android Open Source Project
Copyright (C) 2010 The Android Open Source Project
Copyright (C) 2011 The Android Open Source Project
Copyright (C) 2012 The Android Open Source Project
Copyright (C) 2013 The Android Open Source Project
Copyright (C) 2014 The Android Open Source Project
Copyright (C) 2015 Google Inc.
Copyright (C) 2015 The Android Open Source Project
Copyright (C) 2016 The Android Open Source Project
Copyright (C) 2017 The Android Open Source Project
Copyright 2017 The Android Open Source Project
Copyright 2018 The Android Open Source Project
Copyright 2021 The Android Open Source Project

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id3"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/AndroidX Constraintlayout_2.1.3<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2015 the original author or authors
Copyright (c) today.year The Android Open Source Project
Copyright 2003-2012 the original author or authors
Copyright (c) 2019 The Android Open Source Project
Copyright 2020 The Android Open Source Project
Copyright (c) 2021 The Android Open Source Project
Copyright 2021 The Android Open Source Project
Copyright (c) 2020 The Android Open Source Project
Copyright 2019 The Android Open Source Project
Copyright (c) 2022 The Android Open Source Project
Copyright (c) 2018 The Android Open Source Project
Copyright (c) 2017 The Android Open Source Project
Copyright (c) 2015 The Android Open Source Project
Copyright (c) 2016 The Android Open Source Project
Copyright (c) 2011 The Android Open Source Project

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->


<tr id="id4"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/AndroidX RecyclerView_1.2.1<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2015 the original author or authors
Copyright (c) today.year The Android Open Source Project
Copyright 2003-2012 the original author or authors
Copyright (c) 2019 The Android Open Source Project
Copyright 2020 The Android Open Source Project
Copyright (c) 2021 The Android Open Source Project
Copyright 2021 The Android Open Source Project
Copyright (c) 2020 The Android Open Source Project
Copyright 2019 The Android Open Source Project
Copyright (c) 2022 The Android Open Source Project
Copyright (c) 2018 The Android Open Source Project
Copyright (c) 2017 The Android Open Source Project
Copyright (c) 2015 The Android Open Source Project
Copyright (c) 2016 The Android Open Source Project
Copyright (c) 2011 The Android Open Source Project

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id5"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/Californium_3.7.0<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (c) 2015, 2018 Bosch Software Innovations GmbH and others
Copyright (c) 2018 Sierra Wireless and others
Copyright (c) 2022 Contributors
(c) 2020, Bosch.IO GmbH and others
Copyright (c) 2017 Jan Seeger and others
Copyright (c) 2016, Jim Schaad
Copyright (c) 2016, 2017 Bosch Software Innovations GmbH and others
Copyright (c) 2018 Vikram and others
Copyright (c) 2019 Rogier Cobben
Copyright (c) 2015, 2017 Wireless Networks Group, UPC Barcelona, i2CAT and others
Copyright (c) 2015, 2019 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2018, Ludwig Seitz, RISE
Copyright (c) 2016, 2018 Bosch Software Innovations GmbH and others
Copyright (c) 2019 Sierra Wireless and others
Copyright (c) 2015 - 2017 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 1989, 1991 Free Software Foundation, Inc.
Copyright (c) 2015, 2017 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2015, 2019 Bosch Software Innovations GmbH and others
Copyright (c) 2014, 2017 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2017, 2018 Bosch Software Innovations GmbH and others
(c) 2021, Bosch.IO GmbH and others
Copyright (c) 2018 Institute for Pervasive Computing, ETH Zurich and others
(c) 2020, Bosch.IO GmbH
Copyright (c) 2016, 2017 Sierra Wireless and others
Copyright (c) 2022 Bosch.IO GmbH and others
Copyright 2015 the original author or authors
(c) 2018-2020, Bosch.IO GmbH
Copyright 2011-2019 Twitter, Inc.
(c) 2017-2020, Bosch.IO GmbH and others
Copyright (c) 2019 Wajd Tohme, Ahmad Hussaein, Petr Kocian, Matias Carlander-Reuterfelt, Ismail Hilal, Tuna Gersil, and Zainab Alsaadi and others
Copyright 2011-2019 The Bootstrap Authors
copyrighted by the Free Software Foundation
Copyright (c) 2016 - 2019 Bosch Software Innovations GmbH and others
Copyright (c) 2016 Bosch Software Innovations GmbH and others
Copyright (c) 2018, Rikard Hoglund, RISE SICS
Copyright (c) 2018, 2019 Bosch Software Innovations GmbH and others
Copyright (c) 2018 Sierra wireless and others
Copyright (c) 2020 RISE SICS and others
Copyright (c) 2016 Bosch Software Innovations GmbH
Copyright (c) 2016-2020 Bosch.IO GmbH and others
Copyright (c) 2015, 2021 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2019 Bosch Software Innovations GmbH.
Copyright (c) 2015, 2017 Bosch Software Innovations GmbH and others
Copyright (c) 2020 Softech and others
Copyright (c) 2007, Eclipse Foundation, Inc.
Copyright (c) 2020 Sierra Wireless and others
Copyright (c) 2022 RISE and others
Copyright (c) 2019 Andrei-Marius Longhin and others
Copyright (c) 2019 Bosch Software Innovations GmbH and others
Copyright (c) 2015, 2018 Institute for Pervasive Computing, ETH Zurich and others
(c) 2015, Institute for Pervasive Computing, ETH Zurich
Copyright (c) 2018 Bosch Software Innovations GmbH and others
Copyright (c) 2016, 2017 Amazon Web Services and others
Copyright (c) 2017 Institute for Pervasive Computing, ETH Zurich and others
(c) 2018-2020, Bosch.IO GmbH and others
Copyright (c) 2022 AVSystem and others
Copyright (c) 2018, Tobias Andersson, RISE
(c) 2017, Bosch Software Innovations GmbH and others
Copyright (c) 2014 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2015, 2017 Robert Harder and others
Copyright (c) 2016
Copyright (c) 2022 Achim Kraus and others
Copyright (c) 2015 Sierra Wireless
(c) 2014-2022 Institute for Pervasive Computing, ETH Zurich and others
(c) 2014, Institute for Pervasive Computing, ETH Zurich
Copyright 2018 University of Rostock, Institute of Applied Microelectronics and Computer Engineering
Copyright (c) 2016 Amazon Web Services
Copyright (c) 2018 RISE SICS and others
Copyright (c) 2017 Bosch Software Innovations GmbH and others
Copyright (c) 2015, 2016 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2021 Bosch IO GmbH and others
Copyright (c) 2021 Bosch.IO GmbH and others
Copyright (c) 2015 Institute for Pervasive Computing, ETH Zurich and others
Copyright (c) 2020 Bosch.IO GmbH and others
Copyright (c) 2015 Wireless Networks Group, UPC Barcelona
Copyright (c) 2019 Lari Hotari and others
Copyright (c) 2017 NTNU Gjovik and others
Copyright (c) 2015, 2016 Bosch Software Innovations GmbH and others
Copyright (c) 2020 Bosch IO GmbH and others
Copyright (c) 2015 - 2019 Bosch Software Innovations GmbH and others
Copyright (c) 2015 Bosch Software Innovations GmbH and others
Copyright (c) 2018 - 2019 Bosch Software Innovations GmbH and others
Copyright (c) 2020 RISE and others
Copyright (c) 2004-2017 QOS.ch
Copyright (c) 2019 RISE SICS and others
Copyright (c) 2015 - 2017 Bosch Software Innovations GmbH and others
Copyright (c) 2022 Bosch IO GmbH and others
Copyright (c) 2016 Bosch Software Innovations GmbH.
Copyright (c) 2016 Sierra Wireless and others

<div id="EPLLicense" class="label">License: Eclipse Public License - v2.0</div>
THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE
    PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION
    OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
1. DEFINITIONS
"Contribution" means:
  a) in the case of the initial Contributor, the initial content
     Distributed under this Agreement, and
  b) in the case of each subsequent Contributor:
     i) changes to the Program, and
     ii) additions to the Program;
  where such changes and/or additions to the Program originate from
  and are Distributed by that particular Contributor. A Contribution
  "originates" from a Contributor if it was added to the Program by
  such Contributor itself or anyone acting on such Contributor's behalf.
  Contributions do not include changes or additions to the Program that
  are not Modified Works.
"Contributor" means any person or entity that Distributes the Program.
"Licensed Patents" mean patent claims licensable by a Contributor which
are necessarily infringed by the use or sale of its Contribution alone
or when combined with the Program.
"Program" means the Contributions Distributed in accordance with this
Agreement.
"Recipient" means anyone who receives the Program under this Agreement
or any Secondary License (as applicable), including Contributors.
"Derivative Works" shall mean any work, whether in Source Code or other
form, that is based on (or derived from) the Program and for which the
editorial revisions, annotations, elaborations, or other modifications
represent, as a whole, an original work of authorship.
"Modified Works" shall mean any work in Source Code or other form that
results from an addition to, deletion from, or modification of the
contents of the Program, including, for purposes of clarity any new file
in Source Code form that contains any contents of the Program. Modified
Works shall not include works that contain only declarations,
interfaces, types, classes, structures, or files of the Program solely
in each case in order to link to, bind by name, or subclass the Program
or Modified Works thereof.
"Distribute" means the acts of a) distributing or b) making available
in any manner that enables the transfer of a copy.
"Source Code" means the form of a Program preferred for making
modifications, including but not limited to software source code,
documentation source, and configuration files.
"Secondary License" means either the GNU General Public License,
Version 2.0, or any later versions of that license, including any
exceptions or additional permissions as identified by the initial
Contributor.
2. GRANT OF RIGHTS
  a) Subject to the terms of this Agreement, each Contributor hereby
  grants Recipient a non-exclusive, worldwide, royalty-free copyright
  license to reproduce, prepare Derivative Works of, publicly display,
  publicly perform, Distribute and sublicense the Contribution of such
  Contributor, if any, and such Derivative Works.
  b) Subject to the terms of this Agreement, each Contributor hereby
  grants Recipient a non-exclusive, worldwide, royalty-free patent
  license under Licensed Patents to make, use, sell, offer to sell,
  import and otherwise transfer the Contribution of such Contributor,
  if any, in Source Code or other form. This patent license shall
  apply to the combination of the Contribution and the Program if, at
  the time the Contribution is added by the Contributor, such addition
  of the Contribution causes such combination to be covered by the
  Licensed Patents. The patent license shall not apply to any other
  combinations which include the Contribution. No hardware per se is
  licensed hereunder.
  c) Recipient understands that although each Contributor grants the
  licenses to its Contributions set forth herein, no assurances are
  provided by any Contributor that the Program does not infringe the
  patent or other intellectual property rights of any other entity.
  Each Contributor disclaims any liability to Recipient for claims
  brought by any other entity based on infringement of intellectual
  property rights or otherwise. As a condition to exercising the
  rights and licenses granted hereunder, each Recipient hereby
  assumes sole responsibility to secure any other intellectual
  property rights needed, if any. For example, if a third party
  patent license is required to allow Recipient to Distribute the
  Program, it is Recipient's responsibility to acquire that license
  before distributing the Program.
  d) Each Contributor represents that to its knowledge it has
  sufficient copyright rights in its Contribution, if any, to grant
  the copyright license set forth in this Agreement.
  e) Notwithstanding the terms of any Secondary License, no
  Contributor makes additional grants to any Recipient (other than
  those set forth in this Agreement) as a result of such Recipient's
  receipt of the Program under the terms of a Secondary License
  (if permitted under the terms of Section 3).
3. REQUIREMENTS
3.1 If a Contributor Distributes the Program in any form, then:
  a) the Program must also be made available as Source Code, in
  accordance with section 3.2, and the Contributor must accompany
  the Program with a statement that the Source Code for the Program
  is available under this Agreement, and informs Recipients how to
  obtain it in a reasonable manner on or through a medium customarily
  used for software exchange; and
  b) the Contributor may Distribute the Program under a license
  different than this Agreement, provided that such license:
     i) effectively disclaims on behalf of all other Contributors all
     warranties and conditions, express and implied, including
     warranties or conditions of title and non-infringement, and
     implied warranties or conditions of merchantability and fitness
     for a particular purpose;
     ii) effectively excludes on behalf of all other Contributors all
     liability for damages, including direct, indirect, special,
     incidental and consequential damages, such as lost profits;
     iii) does not attempt to limit or alter the recipients' rights
     in the Source Code under section 3.2; and
     iv) requires any subsequent distribution of the Program by any
     party to be under a license that satisfies the requirements
     of this section 3.
3.2 When the Program is Distributed as Source Code:
  a) it must be made available under this Agreement, or if the
  Program (i) is combined with other material in a separate file or
  files made available under a Secondary License, and (ii) the initial
  Contributor attached to the Source Code the notice described in
  Exhibit A of this Agreement, then the Program may be made available
  under the terms of such Secondary Licenses, and
  b) a copy of this Agreement must be included with each copy of
  the Program.
3.3 Contributors may not remove or alter any copyright, patent,
trademark, attribution notices, disclaimers of warranty, or limitations
of liability ("notices") contained within the Program from any copy of
the Program which they Distribute, provided that Contributors may add
their own appropriate notices.
4. COMMERCIAL DISTRIBUTION
Commercial distributors of software may accept certain responsibilities
with respect to end users, business partners and the like. While this
license is intended to facilitate the commercial use of the Program,
the Contributor who includes the Program in a commercial product
offering should do so in a manner which does not create potential
liability for other Contributors. Therefore, if a Contributor includes
the Program in a commercial product offering, such Contributor
("Commercial Contributor") hereby agrees to defend and indemnify every
other Contributor ("Indemnified Contributor") against any losses,
damages and costs (collectively "Losses") arising from claims, lawsuits
and other legal actions brought by a third party against the Indemnified
Contributor to the extent caused by the acts or omissions of such
Commercial Contributor in connection with its distribution of the Program
in a commercial product offering. The obligations in this section do not
apply to any claims or Losses relating to any actual or alleged
intellectual property infringement. In order to qualify, an Indemnified
Contributor must: a) promptly notify the Commercial Contributor in
writing of such claim, and b) allow the Commercial Contributor to control,
and cooperate with the Commercial Contributor in, the defense and any
related settlement negotiations. The Indemnified Contributor may
participate in any such claim at its own expense.
For example, a Contributor might include the Program in a commercial
product offering, Product X. That Contributor is then a Commercial
Contributor. If that Commercial Contributor then makes performance
claims, or offers warranties related to Product X, those performance
claims and warranties are such Commercial Contributor's responsibility
alone. Under this section, the Commercial Contributor would have to
defend claims against the other Contributors related to those performance
claims and warranties, and if a court requires any other Contributor to
pay any damages as a result, the Commercial Contributor must pay
those damages.
5. NO WARRANTY
EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT
PERMITTED BY APPLICABLE LAW, THE PROGRAM IS PROVIDED ON AN "AS IS"
BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR
IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF
TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR
PURPOSE. Each Recipient is solely responsible for determining the
appropriateness of using and distributing the Program and assumes all
risks associated with its exercise of rights under this Agreement,
including but not limited to the risks and costs of program errors,
compliance with applicable laws, damage to or loss of data, programs
or equipment, and unavailability or interruption of operations.
6. DISCLAIMER OF LIABILITY
EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT
PERMITTED BY APPLICABLE LAW, NEITHER RECIPIENT NOR ANY CONTRIBUTORS
SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST
PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE
EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.
7. GENERAL
If any provision of this Agreement is invalid or unenforceable under
applicable law, it shall not affect the validity or enforceability of
the remainder of the terms of this Agreement, and without further
action by the parties hereto, such provision shall be reformed to the
minimum extent necessary to make such provision valid and enforceable.
If Recipient institutes patent litigation against any entity
(including a cross-claim or counterclaim in a lawsuit) alleging that the
Program itself (excluding combinations of the Program with other software
or hardware) infringes such Recipient's patent(s), then such Recipient's
rights granted under Section 2(b) shall terminate as of the date such
litigation is filed.
All Recipient's rights under this Agreement shall terminate if it
fails to comply with any of the material terms or conditions of this
Agreement and does not cure such failure in a reasonable period of
time after becoming aware of such noncompliance. If all Recipient's
rights under this Agreement terminate, Recipient agrees to cease use
and distribution of the Program as soon as reasonably practicable.
However, Recipient's obligations under this Agreement and any licenses
granted by Recipient relating to the Program shall continue and survive.
Everyone is permitted to copy and distribute copies of this Agreement,
but in order to avoid inconsistency the Agreement is copyrighted and
may only be modified in the following manner. The Agreement Steward
reserves the right to publish new versions (including revisions) of
this Agreement from time to time. No one other than the Agreement
Steward has the right to modify this Agreement. The Eclipse Foundation
is the initial Agreement Steward. The Eclipse Foundation may assign the
responsibility to serve as the Agreement Steward to a suitable separate
entity. Each new version of the Agreement will be given a distinguishing
version number. The Program (including Contributions) may always be
Distributed subject to the version of the Agreement under which it was
received. In addition, after a new version of the Agreement is published,
Contributor may elect to Distribute the Program (including its
Contributions) under the new version.
Except as expressly stated in Sections 2(a) and 2(b) above, Recipient
receives no rights or licenses to the intellectual property of any
Contributor under this Agreement, whether expressly, by implication,
estoppel or otherwise. All rights in the Program not expressly granted
under this Agreement are reserved. Nothing in this Agreement is intended
to be enforceable by any entity that is not a Contributor or Recipient.
No third-party beneficiary rights are created under this Agreement.
Exhibit A - Form of Secondary Licenses Notice
"This Source Code may also be made available under the following
Secondary Licenses when the conditions for such availability set forth
in the Eclipse Public License, v. 2.0 are satisfied: {name license(s),
version(s), and exceptions or additional permissions here}."
Simply including a copy of this Agreement, including this Exhibit A
is not sufficient to license the Source Code under Secondary Licenses.
If it is not possible or desirable to put the notice in a particular
file, then You may include the notice in a location (such as a LICENSE
file in a relevant directory) where a recipient would be likely to
look for such a notice.

You may add additional accurate notices of copyright ownership.

</pre><!-- license-text -->
    </td></tr><!-- same-license -->


<tr id="id6"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/cJSON_1.7.15<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (c) 2009-2017 Dave Gamble and cJSON contributors
Copyright (c) 2009-2019 Dave Gamble and cJSON contributors
Copyright 2014 The Authors
Copyright (c) 2007 - 2017 Unity Project by Mike Karlesky, Mark VanderVoord, and Greg Williams
Copyright (c) 2007 Mike Karlesky, Mark VanderVoord, Greg Williams
Copyright (c) 2015 Alexander Mueller / XelaRellum@web.de
Copyright (c) 2007-14 Mike Karlesky, Mark VanderVoord, Greg Williams
Copyright (c) 2010 James Grenning and Contributed to Unity Project

<div id="MITLicense" class="label">License: The MIT License</div>
The MIT License

Copyright (c) <year> <copyright holders>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id7"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/dexmaker_2.28.1<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
@rem Copyright 2015 the original author or authors.
Copyright (C) 2011 The Android Open Source Project
Copyright (C) 2012 The Android Open Source Project
Copyright (C) 2016 LinkedIn Corp.
Copyright (C) 2017 The Android Open Source Project
Copyright (C) 2018 The Android Open Source Project
Copyright (C) 2019 The Android Open Source Project
Copyright (c) 2003, 2011, Oracle and/or its affiliates.
Copyright (c) 2016 Mockito contributors This program is made available under the terms of the MIT License.
Copyright (c) 2018 Mockito contributors This program is made available under the terms of the MIT License.
Copyright 2015 the original author or authors.
Copyright 2016 Apteligent, Inc.
Copyright 2016 LinkedIn Corp.

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id8"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/fastjson_1.2.83<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 1999-2019 Alibaba Group Holding Ltd.
Copyright 1999-2020 Alibaba Group Holding Ltd.
Copyright (c) The Internet Society (2006)
Copyright 1999-2017 Alibaba Group
Copyright 1999-2019 Alibaba Group
Copyright (c) 2000-2007 INRIA, France Telecom
Copyright 1999-2018 Alibaba Group
Copyright 2018 Ulf Adams
Copyright 2018 Diffblue Limited
Copyright 2019 thunisoft, Inc.
Copyright 2015 Alibaba.com
Copyright 1999-2004 Alibaba.com
Copyright 2011 Alibaba.com
Copyright (c) 2014
Copyright Dark Phoenixs
Copyright 2015-2016 Dark Phoenixs
Copyright 2008 Alibaba.com Corporation Limited
Copyright 1999-2100 Alibaba.com Corporation Limited
Copyright 2008 Alibaba.com Croporation Limited
Copyright (c) 2004, Mikael Grev, MiG InfoCom AB. (base64 miginfocom . com)
Copyright (c) 2003-2012
Copyright Set 2009, Scooby Doo
copyright 2009, Scooby

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id9"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/gson_2.9.0<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2008 Google Inc.
Copyright (c) 2012 Square, Inc.
Copyright (c) 2012 Google Inc.
Copyright (c) 2011 Google Inc.
Copyright (c) 2016 Gson
Copyright 2008-2011 Google Inc.
Copyright (c) 2008 Google Inc.
Copyright (c) 2009 Google Inc.
Copyright (c) 2010 Google Inc.
Copyright (c) 2021 Google Inc.
Copyright (c) 2014 Google Inc.
Copyright (c) 2017 The Gson authors
Copyright (c) 2010 The Android Open Source Project
Copyright (c) 2020 Google Inc.
Copyright (c) 2018 The Gson authors
Copyright (c) 2016 The Gson Authors
Copyright (c) 2018 Gson
Copyright (c) 2015 Google Inc.
Copyright (c) 2016 Google Inc.
Copyright (c) 2017 Google Inc.
Copyright (c) 2017 Gson

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id10"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/lottie-android_3.4.1<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (C) 2010 Google Inc.
Copyright (C) 2010 The Android Open Source Project
Copyright (C) 2012 Google Inc.
Copyright (C) 2015 Square, Inc.
Copyright (C) 2016 Square, Inc.
Copyright 2013 Chris Banes
Copyright 2018 Airbnb, Inc.

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
</td></tr><!-- same-license -->


<tr id="id11"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/mbed TLS_3.1.0 <br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2016-2018 INRIA and Microsoft Corporation
Copyright (C) 2004, 2006 The Linux Foundation and its contributors.
Copyright 2016-2018 INRIA and Microsoft Corporation
SPDX-License-Identifier: Apache-2.0
Copyright (c) INRIA and Microsoft Corporation.
Copyright (c) 2019-2021, Arm Limited.

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id12"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/okhttp_4.9.3<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2015 the original author or authors
Copyright (c) 2019 Square, Inc.
Copyright 2019 Square, Inc.
Copyright (c) 2020 Square, Inc.
Copyright (c) 2018 Square, Inc.
Copyright (c) 2012 Google Inc.
Copyright (c) 2011 Google Inc.
Copyright (c) 2013 Square, Inc.
Copyright (c) 2014 Square, Inc.
Copyright (c) 2012 Square, Inc.
Copyright (c) 2011 The Android Open Source Project
Copyright (c) 2012 The Android Open Source Project
Copyright (c) 2015 Square, Inc.
Copyright (c) 2010 The Android Open Source Project
Copyright (c) 2017 Square, Inc.
Copyright (c) 2016 Square, Inc.
Copyright 2013 Twitter, Inc.
Copyright (c) 2016 Google Inc.
Copyright 2019 Square Inc.
Copyright 2014 Square Inc.
Copyright (c) 2011 The Guava Authors
Copyright (c) 2009 The Android Open Source Project
Copyright (c) 2013 The Android Open Source Project
Copyright 2016 The Netty Project
(c) 2006 Entrust, Inc.
(c) 2009 Entrust, Inc. - for
(c) 2014 Entrust, Inc. - for
(c) 2006 Entrust

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id13"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/okio_2.10.0<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2015 the original author or authors
Copyright (c) 2019 Square, Inc.
Copyright 2013 Square, Inc.
Copyright (c) 2018 Square, Inc. and others
Copyright (c) 2014 Square, Inc. and others
Copyright (c) 2020 Square, Inc. and others
Copyright (c) 2016 Square, Inc. and others
Copyright (c) 2019 Square, Inc. and others
Copyright (c) 2018 Square, Inc.
Copyright (c) 2020 Square, Inc.
Copyright (c) 2016 Square, Inc.
Copyright (c) 2014 Square, Inc.
Copyright (c) 2015 Square, Inc.
Copyright (c) 2017 Square, Inc.
Copyright 2014 Square Inc.
Copyright (c) 2013 Square, Inc.

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
    </td></tr><!-- same-license -->




<tr id="id14"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/OpenSSL_1.1.1n<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright 2015 Cryptography Research, Inc.
Copyright 2018 The OpenSSL Project Authors
Copyright 1999-2021 The OpenSSL Project Authors
Copyright 1998-2021 The OpenSSL Project Authors
Copyright 2014-2018 The OpenSSL Project Authors
Copyright 1995-2020 The OpenSSL Project Authors
Copyright 2013-2018 The OpenSSL Project Authors
Copyright 2017-2018 The OpenSSL Project Authors
Copyright 2011-2018 The OpenSSL Project Authors
Copyright 2016-2018 The OpenSSL Project Authors
Copyright 2015-2018 The OpenSSL Project Authors
Copyright 2002-2017 The OpenSSL Project Authors
Copyright 2004-2017 The OpenSSL Project Authors
Copyright 2000-2017 The OpenSSL Project Authors
Copyright 2006-2017 The OpenSSL Project Authors
Copyright 1999-2020 The OpenSSL Project Authors
Copyright 2006 NTT (Nippon Telegraph and Telephone Corporation)
Copyright 2015-2019 The OpenSSL Project Authors
Copyright 2017-2019 The OpenSSL Project Authors
Copyright 1995-2021 The OpenSSL Project Authors
Copyright 2013-2019 The OpenSSL Project Authors
Copyright 2001-2022 The OpenSSL Project Authors
Copyright (c) 2018, Oracle and/or its affiliates
Copyright 1998-2016 The OpenSSL Project Authors
Copyright 2003-2018 The OpenSSL Project Authors
Copyright 2005-2018 The OpenSSL Project Authors
Copyright 2001-2018 The OpenSSL Project Authors
Copyright 2007-2018 The OpenSSL Project Authors
Copyright 2011-2019 The OpenSSL Project Authors
Copyright (c) 2012-2016 Jean-Philippe Aumasson
Copyright 2009-2018 The OpenSSL Project Authors
Copyright 2014 Cryptography Research, Inc.
Copyright (c) 2008 Andy Polyakov &lt;appro@openssl.org&gt;
Copyright 2006-2019 The OpenSSL Project Authors
Copyright 2016-2022 The OpenSSL Project Authors
Copyright 2002-2019 The OpenSSL Project Authors
Copyright 2019 The OpenSSL Project Authors
Copyright 2012-2022 The OpenSSL Project Authors
Copyright 2015-2022 The OpenSSL Project Authors
Copyright (c) 1995-1998 Eric A. Young, Tim J. Hudson
Copyright 2012-2017 The OpenSSL Project Authors
Copyright 2013-2017 The OpenSSL Project Authors
Copyright 1999-2022 The OpenSSL Project Authors
Copyright 2016-2017 The OpenSSL Project Authors
Copyright (c) 2004 Kungliga Tekniska Hogskolan (Royal Institute of Technology, Stockholm, Sweden)
Copyright 2001-2016 The OpenSSL Project Authors
Copyright 2000-2016 The OpenSSL Project Authors
Copyright (c) 2004, Richard Levitte &lt;richard@levitte.org&gt;
Copyright (c) 1998-2021 The OpenSSL Project
Copyright 2005-2016 The OpenSSL Project Authors
Copyright 2004-2016 The OpenSSL Project Authors
Copyright 2015-2016 Cryptography Research, Inc.
Copyright 2009-2022 The OpenSSL Project Authors
Copyright 2007-2021 The OpenSSL Project Authors
Copyright 2013 Mark Jason Dominus
Copyright 2004-2021 The OpenSSL Project Authors
Copyright (c) 2004, 2018, Richard Levitte &lt;richard@levitte.org&gt;
Copyright 2000-2021 The OpenSSL Project Authors
Copyright 1998-2019 The OpenSSL Project Authors
Copyright 2003-2021 The OpenSSL Project Authors
Copyright 2019-2020 The OpenSSL Project Authors
Copyright 2008-2016 The OpenSSL Project Authors
Copyright 2009-2016 The OpenSSL Project Authors
Copyright 2018-2020 The OpenSSL Project Authors
Copyright (c) 2002 The OpenTSA Project
Copyright 2016 Cryptography Research, Inc.
Copyright 2014-2020 The OpenSSL Project Authors
Copyright 2001-2017 The OpenSSL Project Authors
Copyright 2000-2022 The OpenSSL Project Authors
Copyright 2005-2017 The OpenSSL Project Authors
Copyright (c) 2014, Intel Corporation
Copyright 2010-2020 The OpenSSL Project Authors
Copyright 1998-2020 The OpenSSL Project Authors
Copyright 2008-2021 The OpenSSL Project Authors
Copyright (c) 2004, EdelKey Project
Copyright 2008-2022 The OpenSSL Project Authors
Copyright (c) 2017 National Security Research Institute
Copyright 2014-2019 The OpenSSL Project Authors
Copyright 1999-2016 The OpenSSL Project Authors
Copyright 2018-2019 The OpenSSL Project Authors
Copyright 1995-2016 The OpenSSL Project Authors
Copyright (c) 2006, Network Resonance, Inc.
Copyright 2002-2018 The OpenSSL Project Authors
Copyright 2015-2021 The OpenSSL Project Authors
Copyright 2006-2018 The OpenSSL Project Authors
Copyright 2010-2019 The OpenSSL Project Authors
Copyright 2011-2021 The OpenSSL Project Authors
Copyright 2007-2020 The OpenSSL Project Authors
Copyright 2012-2016 The OpenSSL Project Authors
Copyright 1995-2022 The OpenSSL Project Authors
Copyright 2016-2016 The OpenSSL Project Authors
Copyright (c) 1995-1998 Eric Young (eay@cryptsoft.com)
Copyright (c) 2015 CloudFlare, Inc.
Copyright 2011 Google Inc.
Copyright 1995-2018 The OpenSSL Project Authors
Copyright (c) 2013-2014 Timo Teras &lt;timo.teras@gmail.com&gt;
Copyright 2016 VMS Software, Inc.
Copyright 2005-2020 The OpenSSL Project Authors
Copyright 2006-2020 The OpenSSL Project Authors
Copyright 2003-2020 The OpenSSL Project Authors
Copyright 2004-2020 The OpenSSL Project Authors
Copyright 1998-2018 The OpenSSL Project Authors
Copyright 2000-2020 The OpenSSL Project Authors
Copyright 2002-2020 The OpenSSL Project Authors
Copyright 2019-2021 The OpenSSL Project Authors
Copyright 2001-2020 The OpenSSL Project Authors
Copyright 1999-2018 The OpenSSL Project Authors
Copyright (c) 1989, 1991 Free Software Foundation, Inc.
Copyright 2004-2014, Akamai Technologies
Copyright (c) 2012, Intel Corporation
Copyright 2020 The OpenSSL Project Authors
Copyright 2017-2020 The OpenSSL Project Authors
Copyright 2015-2020 The OpenSSL Project Authors
copyrighted by the Free Software Foundation
Copyright 2011-2020 The OpenSSL Project Authors
Copyright (c) 2002, Oracle and/or its affiliates
Copyright 2013-2020 The OpenSSL Project Authors
Copyright 2009-2021 The OpenSSL Project Authors
Copyright (c) 2011, RTFM, Inc.
Copyright (c) 2016 Viktor Dukhovni &lt;openssl-users@dukhovni.org&gt;
Copyright 2018-2021 The OpenSSL Project Authors
Copyright 2016-2021 The OpenSSL Project Authors
Copyright 1995-2017 The OpenSSL Project Authors
Copyright 2012-2021 The OpenSSL Project Authors
Copyright (c) 1998-2019 The OpenSSL Project
Copyright 2008-2020 The OpenSSL Project Authors
Copyright 2014-2021 The OpenSSL Project Authors
Copyright 2016 The OpenSSL Project Authors
Copyright 2011-2016 The OpenSSL Project Authors
Copyright 2010-2021 The OpenSSL Project Authors
Copyright 2015-2016 The OpenSSL Project Authors
Copyright 2013-2016 The OpenSSL Project Authors
Copyright 1999-2017 The OpenSSL Project Authors
Copyright 2005 Nokia
Copyright 2005-2019 The OpenSSL Project Authors
Copyright 2008-2019 The OpenSSL Project Authors
Copyright 2001-2019 The OpenSSL Project Authors
Copyright 2017-2022 The OpenSSL Project Authors
Copyright 2017 BaishanCloud
Copyright (c) 2017, Oracle and/or its affiliates
Copyright 2004-2019 The OpenSSL Project Authors
Copyright 1998-2022 The OpenSSL Project Authors
Copyright 2011-2017 The OpenSSL Project Authors
Copyright 2010-2022 The OpenSSL Project Authors
Copyright 2015-2017 The OpenSSL Project Authors
Copyright 1998-2001 The OpenSSL Project Authors
Copyright 2017 Ribose Inc.
Copyright 2014-2017 The OpenSSL Project Authors
Copyright 1995-2019 The OpenSSL Project Authors
Copyright 2014-2016 Cryptography Research, Inc.
Copyright (c) 2015, CloudFlare, Inc.
Copyright 2003-2016 The OpenSSL Project Authors
Copyright 2002-2016 The OpenSSL Project Authors
Copyright 2006-2021 The OpenSSL Project Authors
holder is Tim Hudson (tjh@cryptsoft.com)
Copyright (c) 2012-2014 Daniel J. Bernstein
Copyright (c) 2007 KISA(Korea Information Security Agency)
Copyright 2005-2021 The OpenSSL Project Authors
Copyright 2002-2021 The OpenSSL Project Authors
Copyright 1999-2019 The OpenSSL Project Authors
Copyright 2000-2019 The OpenSSL Project Authors
Copyright 2006-2016 The OpenSSL Project Authors
Copyright 2007-2016 The OpenSSL Project Authors
Copyright 2001-2021 The OpenSSL Project Authors
Copyright 2016-2020 The OpenSSL Project Authors
Copyright 2017 The OpenSSL Project Authors
Copyright 2003-2017 The OpenSSL Project Authors
Copyright 2012-2020 The OpenSSL Project Authors
Copyright 2012-2019 The OpenSSL Project Authors
Copyright 2013 M. J. Dominus
Copyright 2002-2022 The OpenSSL Project Authors
Copyright 2016-2019 The OpenSSL Project Authors
Copyright 2004-2018 The OpenSSL Project Authors
Copyright 2017-2021 The OpenSSL Project Authors
Copyright 2000-2018 The OpenSSL Project Authors
Copyright 2009-2020 The OpenSSL Project Authors
Copyright 2017 Ribose Inc. (https://www.ribose.com)
Copyright 2012, Samuel Neves &lt;sneves@dei.uc.pt&gt;
Copyright 2013-2021 The OpenSSL Project Authors
Copyright 2010-2016 The OpenSSL Project Authors
Copyright 2008-2018 The OpenSSL Project Authors
Copyright Patrick Powell 1995
Copyright 2014-2016 The OpenSSL Project Authors
Copyright 1998-2017 The OpenSSL Project Authors

<div class="label">License: OpenSSL Combined License</div>
  LICENSE ISSUES
  ==============

  The OpenSSL toolkit stays under a dual license, i.e. both the conditions of
  the OpenSSL License and the original SSLeay license apply to the toolkit.
  See below for the actual license texts. Actually both licenses are BSD-style
  Open Source licenses. In case of any license issues related to OpenSSL
  please contact openssl-core@openssl.org.

  OpenSSL License
  ---------------

/* ====================================================================
 * Copyright (c) 1998-2011 The OpenSSL Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
 *
 * 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    openssl-core@openssl.org.
 *
 * 5. Products derived from this software may not be called "OpenSSL"
 *    nor may "OpenSSL" appear in their names without prior written
 *    permission of the OpenSSL Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit (http://www.openssl.org/)"
 *
 * THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

 Original SSLeay License
 -----------------------

/* Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)
 * All rights reserved.
 *
 * This package is an SSL implementation written
 * by Eric Young (eay@cryptsoft.com).
 * The implementation was written so as to conform with Netscapes SSL.
 *
 * This library is free for commercial and non-commercial use as long as
 * the following conditions are aheared to.  The following conditions
 * apply to all code found in this distribution, be it the RC4, RSA,
 * lhash, DES, etc., code; not just the SSL code.  The SSL documentation
 * included with this distribution is covered by the same copyright terms
 * except that the holder is Tim Hudson (tjh@cryptsoft.com).
 *
 * Copyright remains Eric Young's, and as such any Copyright notices in
 * the code are not to be removed.
 * If this package is used in a product, Eric Young should be given attribution
 * as the author of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation (online or textual) provided with the package.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *    "This product includes cryptographic software written by
 *     Eric Young (eay@cryptsoft.com)"
 *    The word 'cryptographic' can be left out if the rouines from the library
 *    being used are not cryptographic related :-).
 * 4. If you include any Windows specific code (or a derivative thereof) from
 *    the apps directory (application code) you must include an acknowledgement:
 *    "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"
 *
 * THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * The licence and distribution terms for any publically available version or
 * derivative of this code cannot be changed.  i.e. this code cannot simply be
 * copied and put under another distribution licence
 * [including the GNU Public Licence.]
 */

</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id15"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/paho.mqtt.java_v1.2.5<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (c) 2007, Eclipse Foundation, Inc.
Copyright (c) 2016 IBM Corp.
Copyright (c) 2013, 2015 IBM Corp.
Copyright (c) 2009, 2018 IBM Corp.
Copyright (c) 2015 IBM Corp.
Copyright (c) 2009, 2012 IBM Corp.
Copyright (c) 2009, 2014 IBM Corp.
Copyright (c) 2009, 2016 IBM Corp.
Copyright (c) 2014 IBM Corp.
Copyright (c) 2017 BMW Car IT GmbH.
Copyright (c) 2014, 2018 IBM Corp.
Copyright (c) 2009, 2018 IBM Corp and others
Copyright (c) 2009, 2019 IBM Corp.
Copyright (c) 2016, 2018 IBM Corp.
Copyright (c) 2009, 2015 IBM Corp.
Copyright (c) 2017 Red Hat Inc.
Copyright (c) 2011, 2014 Eurotech and/or its affiliates
Copyright (c) 2011, 2017 IBM
Copyright (c) 2009, 2017 IBM Corp.
Copyright (c) 2014, 2019 IBM Corp.
Copyright (c) 2016, 2019 IBM Corp.
Copyright (c) 2017 IBM Corp.
Copyright (c) 2009, 2020 IBM Corp.
Copyright (c) 2002, 2013 IBM Corp.
(c) Copyright IBM Corp. 2002, 2007

<div class="label">License: Eclipse Public License -V2.0</div>
<a href="#EPLLicense" class="file-list">Please see above</a>

<div class="label">License: BSD 3-Clause License</div>
Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list
   of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this
   list of conditions and the following disclaimer in the documentation and/or other
   materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may
   be used to endorse or promote products derived from this software without specific
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id16"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/picasso_2.8<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (C) 2014 Square, Inc.
Copyright (C) 2013 The Android Open Source Project
Copyright (C) 2013 Square, Inc.
Copyright (C) 2011 The Android Open Source Project
Copyright 2012 Twitter, Inc
Copyright 2012 Twitter, Inc.
Copyright (c) 2013 Karl Swedberg
Copyright (C) 2015 Square, Inc.
Copyright (C) 2017 Square, Inc.
Copyright 2013 Square, Inc.

<div class="label">License: Apache License Version 2.0</div>
<a href="#ApacheLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id17"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/Mozilla Rhino_1.7.12<br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (C) 1996-97 Symantec Corporation
Copyright (C) 2004 Baron Schwartz <baron at sequent dot org>
(c) 2005 Bob Ippolito.  All rights Reserved.
Copyright (c) 2004 by Arthur Langereis (arthurext at domain xfinitegames, tld com)
Copyright (C) 2007 Apple Inc.  All rights reserved.
Copyright (c) 2004-2007, The Dojo Foundation All Rights Reserved.
Copyright 2009 the V8 project authors. All rights reserved.
Copyright 2010-2015 the V8 project authors. All rights reserved.
Copyright 2008 the V8 project authors. All rights reserved.
(c) 2005-2007 Sam Stephenson
Copyright 2006-2008 the V8 project authors. All rights reserved.
Copyright (c) 2005  Tom Wu All Rights Reserved.
Copyright (C) Paul Johnston 1999 - 2002.
Copyright (c) 2003-2005  Tom Wu All Rights Reserved.
Copyright 2014 the V8 project authors. All rights reserved.
Copyright (c) 1991, 2000, 2001 by Lucent Technologies.
Copyright Paul Johnston 2000 - 2002.
Copyright 2011 the V8 project authors. All rights reserved.
Copyright 1996 John Maloney and Mario Wolczko.
Copyright 1997, 1998 Sun Microsystems, Inc.  All Rights Reserved.
Copyright (C) Rich Moore.  All rights reserved.
Copyright 2010 the V8 project authors. All rights reserved.
Copyright (c) 2007 John Resig (jquery.com)
Copyright 2015 the V8 project authors. All rights reserved.
Copyright (C) 1997, 1998 Netscape Communications Corporation, All Rights Reserved.
Copyright 1998 Sun Microsystems, Inc.  All Rights Reserved.
Copyright (c) 2004 by Arthur Langereis (arthurext at domain xfinitegames, tld com
Copyright 2012 the V8 project authors. All rights reserved.
Copyright 2013 the V8 project authors. All rights reserved.

<div class="label">License: Mozilla Public License 2.0</div>
                Mozilla Public License
                    Version 2.0

1. Definitions
1.1. “Contributor”
means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.
1.2. “Contributor Version”
means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor’s Contribution.
1.3. “Contribution”
means Covered Software of a particular Contributor.
1.4. “Covered Software”
means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.
1.5. “Incompatible With Secondary Licenses”
means
that the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or
that the Covered Software was made available under the terms of version 1.1 or earlier of the License, but not also under the terms of a Secondary License.
1.6. “Executable Form”
means any form of the work other than Source Code Form.
1.7. “Larger Work”
means a work that combines Covered Software with other material, in a separate file or files, that is not Covered Software.
1.8. “License”
means this document.
1.9. “Licensable”
means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.
1.10. “Modifications”
means any of the following:
any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or
any new file in Source Code Form that contains any Covered Software.
1.11. “Patent Claims” of a Contributor
means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.
1.12. “Secondary License”
means either the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.
1.13. “Source Code Form”
means the form of the work preferred for making modifications.
1.14. “You” (or “Your”)
means an individual or a legal entity exercising rights under this License. For legal entities, “You” includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, “control” means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.
2. License Grants and Conditions
2.1. Grants
Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:
under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and
under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.
2.2. Effective Date
The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.
2.3. Limitations on Grant Scope
The licenses granted in this Section 2 are the only rights granted under this License. No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:
for any code that a Contributor has removed from Covered Software; or
for infringements caused by: (i) Your and any other third party’s modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or
under Patent Claims infringed by Covered Software in the absence of its Contributions.
This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).
2.4. Subsequent Licenses
No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).
2.5. Representation
Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.
2.6. Fair Use
This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.
2.7. Conditions
Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.
3. Responsibilities
3.1. Distribution of Source Form
All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You may not attempt to alter or restrict the recipients’ rights in the Source Code Form.
3.2. Distribution of Executable Form
If You distribute Covered Software in Executable Form then:
such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and
You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients’ rights in the Source Code Form under this License.
3.3. Distribution of a Larger Work
You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).
3.4. Notices
You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.
3.5. Application of Additional Terms
You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.
4. Inability to Comply Due to Statute or Regulation
If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be placed in a text file included with all distributions of the Covered Software under this License. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.
5. Termination
5.1. The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non-compliance by some reasonable means prior to 60 days after You have come back into compliance. Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non-compliance by some reasonable means, this is the first time You have received notice of non-compliance with this License from such Contributor, and You become compliant prior to 30 days after Your receipt of the notice.
5.2. If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.
5.3. In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.
6. Disclaimer of Warranty
Covered Software is provided under this License on an “as is” basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Covered Software is with You. Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License. No use of any Covered Software is authorized under this License except under this disclaimer.
7. Limitation of Liability
Under no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party’s negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.
8. Litigation
Any litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict-of-law provisions. Nothing in this Section shall prevent a party’s ability to bring cross-claims or counter-claims.
9. Miscellaneous
This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not be used to construe this License against a Contributor.
10. Versions of the License
10.1. New Versions
Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one other than the license steward has the right to modify or publish new versions of this License. Each version will be given a distinguishing version number.
10.2. Effect of New Versions
You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.
10.3. Modified Versions
If you create software not governed by this License, and you want to create a new license for such software, you may create and use a modified version of this License if you rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).
10.4. Distributing Source Code Form that is Incompatible With Secondary Licenses
If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.
Exhibit A - Source Code Form License Notice
This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
If it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.
You may add additional accurate notices of copyright ownership.
Exhibit B - “Incompatible With Secondary Licenses” Notice
This Source Code Form is “Incompatible With Secondary Licenses”, as defined by the Mozilla Public License, v. 2.0.

</pre><!-- license-text -->
    </td></tr><!-- same-license -->



<tr id="id18"><td class="same-license">
        <div class="label">Notices for Software(s):</div>
        <div class="file-list">/Simple Logging Facade for Java (SLF4J) 1.7.35 <br/></div><!-- file-list -->
        <pre class="license-text">

<div class="label">Copyright notice:</div>
Copyright (c) 2004-2022 QOS.ch Sarl (Switzerland)
Copyright (c) 2004-2011 QOS.ch
Copyright (c) 2004-2016 QOS.ch
Copyright 2001-2004 The Apache Software Foundation
Copyright 1999-2005 The Apache Software Foundation
Copyright (c) 1999-2006, QOS.ch
Copyright (c) 2004-2005 QOS.ch
Copyright (c) 2004-2013 QOS.ch
Copyright (c) 2015 Google Inc.
Copyright (c) 2004-2022 QOS.ch Sarl
Copyright (c) 2004-2022 QOS.ch
Copyright (c) 2004-2007 QOS.ch
Copyright (c) 2004-2012 QOS.ch
Copyright (c) 2004-2021 QOS.ch
Copyright (c) 2004-2017 QOS.ch
Copyright (c) 2004-2017 http://www.qos.ch QOS.ch

<div class="label">License: The MIT License</div>
<a href="#MITLicense" class="file-list">Please see above</a>

</pre><!-- license-text -->
    </td></tr><!-- same-license -->

</table>

<pre class="license-text">
<div class="label"> Written Offer</div>
 This product contains software whose rights holders license it on the terms of the GNU General Public License, version 2 (GPLv2) and/or other open source software licenses.
 We will provide you and any third party with the source code of the software licensed under an open source software license if you send us a written request by mail or email to the following addresses:
 foss@huawei.com
 detailing the name of the product and the firmware version for which you need the source code and indicating how we can contact you.
 Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you,
 we will further discuss it by mail or email.
 This offer is valid to anyone in receipt of this information.
<div class="label">THIS OFFER IS VALID FOR THREE YEARS FROM THE MOMENT WE DISTRIBUTED THE PRODUCT OR FIRMWARE.</div>
    </pre>
</body>
</html>
